package popup;

import javax.faces.application.FacesMessage;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ManagedProperty;
import javax.faces.bean.SessionScoped;
import javax.faces.context.FacesContext;

@ManagedBean(name = "ctrlSearchPopup")
@SessionScoped
public class CtrlSearchPopup {
	
	String userId;
	UserPopup current;
	@ManagedProperty(value="#{popupdatabase}") 
	PopupDB db;
	
	public void load(){
		System.out.println("load "+userId);
		current=db.search(userId);
		if(current==null){
			FacesContext facesContext = FacesContext.getCurrentInstance();
			FacesMessage facesMessage = new FacesMessage("User Not Exist","User Not Exist: '"+userId+"'");
			facesContext.addMessage("", facesMessage);
		}

	}

	
	 public void save(){
		 
		 System.out.println("save "+current.name);
	 }

	public String getUserId() {
		return userId;
	}




	public void setUserId(String userId) {
		System.out.println("setUserId("+userId+")");
		this.userId = userId;
	}




	public UserPopup getCurrent() {
		return current;
	}

	public PopupDB getDb() {
		return db;
	}

	public void setDb(PopupDB db) {
		this.db = db;
	}
	
	
	

}
